Page MenuHomeFreeBSD

Amazon EC2: Disable floppy devices (fdc0, fd0,) and parallel port device (pp0)
AcceptedPublic

Authored by james.wright_digital-chaos.com on Dec 8 2018, 5:00 AM.

Details

Reviewers
cperciva
lwhsu
imp
Group Reviewers
Contributor Reviews (base)
Summary

Disable the floppy devices (fdc0, fd0) and parallel port device (ppc0) on Amazon EC2 instances. They are not present on these machines and output an error on boot (see below);

# dmesg | grep fdc
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: does not respond
device_attach: fdc0 attach returned 6
fdc0: No FDOUT register!
# dmesg | grep ppc
ppc0: cannot reserve I/O port range

Bugzilla PR:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233861

Test Plan

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

james.wright_digital-chaos.com edited the summary of this revision. (Show Details)

Updated file path in diff for Phabricator Diffusion browsing

lwhsu accepted this revision.Jun 25 2020, 1:28 PM
lwhsu added a subscriber: lwhsu.

@cperciva I think this patch is good, can you check it? Thanks!

This revision is now accepted and ready to land.Jun 25 2020, 1:28 PM

Which instance type are you seeing this on? I haven't been able to reproduce it.

Which instance type are you seeing this on? I haven't been able to reproduce it.

I think it may have been a t2.micro at the time but not 100% sure now. Everything I have is running on t3a instances now and I can't reproduce it on these types either, so I think it may have just been an issue on the older generations.

imp accepted this revision.Jun 25 2020, 11:25 PM
cperciva accepted this revision.Jun 26 2020, 12:55 AM

Ah, on t2.micro I see warnings about fdc (but not about ppc). Normally I aim to minimize the difference between EC2 and "stock" FreeBSD, but I guess there's no harm in making this change even if it only affects older instance types.